@import url('https://fonts.googleapis.com/css2?family=EB+Garamond:ital,wght@0,400..800;1,400..800&family=Plus+Jakarta+Sans:ital,wght@0,200..800;1,200..800&display=swap');
:root{
    --primary-color: #000030;
    --secondary-color: #00004e;

    --accent-color: #520a0a;
    --second-accent-color: #a00e0e;

    --title-color: #fdfdfd;
    --subtitle-color: #9b9b9b;
    --text-color: #f0f0f0;

    --neutral-color-1: rgb(119, 39, 39);
    --neutral-color-2: rgb(39, 39, 119);
    --neutral-color-3: rgb(39, 119, 39);
    --neutral-color-4: rgb(119, 39, 92);
}
html{
    scroll-padding-top: 15vh;
}
*{
    margin: 0;
    padding: 0;
    font-family: "EB Garamond", serif;
    box-sizing: border-box;
    scroll-behavior: smooth;
}
body{
    background-color: rgb(0, 0, 35);
}
header{
    height: 15vh;
    width: 100%;
    background-color: var(--primary-color);
    display: flex;
    padding-left: 2rem;
    padding-right: 2rem;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    z-index: 9999; 
    will-change: transform;
    transform: translateZ(0); 
}
header img{
    height:90%;
    width: auto;
}
.navigationContainer{
    display:flex;
    justify-content: center;
    align-items: center;
    gap: 3rem;
}
nav{
    background-color: var(--neutral-color-2);
    padding-right: 1rem;
    padding-left: 1rem;
    padding-top: 0.5rem;
    padding-bottom: .5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    border-radius: 999px;
}
nav a{
    color: var(--title-color);
    text-decoration: none;  
    font-size: .95rem;
    font-family: "Plus Jakarta Sans", sans-serif;
}
nav a:hover{
    text-decoration: underline antiquewhite;
}
#whatsappHeader{
    font-weight: 550;
    padding: 0.5rem;
    padding-right: .75rem;
    padding-left: .75rem;
    border: none;
    border-radius: 999px;
    font-size: 1.2rem;
    transition: transform 1s ease;
    background-color: var(--accent-color);
    color:var(--title-color);
}
#whatsappHeader:hover{
    transform: scale(1.1);
}
#whatsappHeader:active{
    transform: scale(.95);
}
#hero{
    background-color: rgb(255, 27, 27);
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
}
.heroContainer{
    display:flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    padding-bottom: 2rem;
}
.textHero{
    text-align: center;
    justify-content: center;
}
.textHero h1{
    font-size: 3rem;
    color: var(--title-color);
    font-family: "Plus Jakarta Sans", sans-serif;
}
.textHero p{
    color: var(--subtitle-color);
    font-size: 1.2rem;
}
.heroContainer button{
    padding: .75rem;
    background-color: var(--second-accent-color);
    border: none;
    border-radius: 999px;
    font-size: 1.1rem;
    color: var(--title-color);
    transition: transform 1s ease;
}
.heroContainer button:hover{
    transform: scale(1.1);
}
.heroContainer button:active{
    transform: scale(.95);
}
#servicos{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 1rem;
    background-color: rgb(0, 0, 20);
}
#servicos h2{
    font-size: 2rem;
    color: var(--title-color);
}
.servicosContainer {
    display: grid;
    grid-template-columns: repeat(6, 1fr); 
    gap: 20px;
    max-width: 85vw;
    margin: 40px auto; 
}
.card {
    background-color: #222222;
    border: none;
    border-radius: 8px;
    padding: 24px;
    text-align: center;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.05);
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: .5rem;
    animation: shadow 1s ease-in-out 0s infinite normal;
}
.card h3{
    color: var(--title-color);
    font-size: 1.5rem;
}
.card p{
    color: var(--text-color);
    font-size: 1rem;
}
.card1 {
    grid-column: 2 / 4;
}
.card1 i{
    color: #00d2ff;
    font-size: 2rem;
}   
.card2 {
    grid-column: 4 / 6;
}
.card2 i{
    color: #00ffaa;
    font-size: 2rem;
}
.card3 {
    grid-column: 1 / 3;
}
.card3 i{
    color: #f4d068;
    font-size: 2rem;
}
.card4 {
    grid-column: 3 / 5;
}
.card4 i{
    color: #00ff88;
    font-size: 2rem;
}
.card5 {
    grid-column: 5 / 7;
}
.card5 i{
    color: #ff7e69;
    font-size: 2rem;
}
#about{
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    max-height: 95vh;
    background-color: var(--secondary-color);
}
#about h2{
    color: var(--title-color);
    font-size: 2rem;
}
.aboutContainer{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15rem;
}
.aboutContainer img{
    height: 90%;
    width: auto;
    border: none;
    border-radius: 999px;
}
.aboutContainer p{
    width: 30%;
    text-align: center;
    color: var(--text-color);
    background-color: var(--neutral-color-2);
    padding: 1.5rem;
    border-radius: 70px;
    font-size: 1.1rem;
}
#footer{
    background-color: var(--accent-color);
    height: 50vh;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-left: 1rem;
    padding-right: 2rem;
}
#footer div{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
#footer a{
    color: var(--text-color);
    text-decoration: none;
    font-family: "Plus Jakarta San" sans-serif;
    font-weight: 600;
    font-size: 1.1rem;
}
#footer a:hover{
    text-decoration: underline whitesmoke;
}
#footer p{
    color: var(--text-color);
    text-decoration: none;
    font-weight: 400;
    font-size: 1.1rem;
}
#footer img{
    height: 90%;
    width: auto;
}

@keyframes shadow{
    0%{
        box-shadow: -.1rem 5% black
    }
    25%{
        box-shadow: 0rem 5% black
    }
    50%{
        box-shadow: .1rem 5% black
    }
    75%{
        box-shadow: 0rem 5% black
    }
    100%{
        box-shadow: -.1rem 5% black
    }
}